IFWITOOL(8)

NAME
ifwitool - Utility for IFWI manipulation

SYNOPSIS

ifwitool [-h]
ifwitool FILE COMMAND [PARAMETERS]

DESCRIPTION
ifwitool Utility for IFWI manipulation

COMMANDS

add -f FILE -n NAME [-d -e ENTRY] [-s]
create -f FILE [-s]
delete -n NAME [-s]
extract -f FILE -n NAME [-d -e ENTRY] [-s]
print [-d] [-s]
replace -f FILE -n NAME [-d -e ENTRY] [-s]

OPTIONS

-f FILE
    File to read/write/create/extract

-s  Use the second Logical Boot Partition

-d  Perform directory operation

-e ENTRY
    Name of directory entry to operate on

-v  Verbose level

-h  Help message

-n NAME
    Name of sub-partition to operate on

NAME should be one of:
    SMIP(SMIP)
    RBEP(CSE_RBE)
    FTPR(CSE_BUP)
    UCOD(Microcode)
    IBBP(Bootblock)
    S_BPDT(S-BPDT)
    OBBP(OEM boot block)
    NFTP(CSE_MAIN)
    ISHP(ISH)
    DLMP(CSE_IDLM)
    IFP_OVERRIDE(IFP_OVERRIDE)
    DEBUG_TOKENS(Debug Tokens)
    UFS_PHY(UFS Phy)
    UFS_GPP(UFS GPP)
    PMCP(PMC firmware)
    IUNP(IUNIT)
    NVM_CONFIG(NVM Config)
    UEP(UEP)
    UFS_RATE_B(UFS Rate B Config)

AUTHORS

coresystems GmbH.
Man page written by Ahmad Khalifa.